Bug 21190 - AMI MegaRAID 471 card doesn't work in Intel Lion slots 2-10
Summary: AMI MegaRAID 471 card doesn't work in Intel Lion slots 2-10
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: ia64
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-21 17:02 UTC by Matt Domsch
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-12 17:48:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2000-11-21 17:02:58 UTC
The megaraid 471 card doesn't work in Intel Lion slots 2-10.
Using kernel 2.4.0-test9-ia64-001004 + megaraid v1.10c driver + IOSAPIC 
patch from Asit Mallic of Intel.  Card works in slots 1 & 2.

Failure mode is that after ~1400 interrupts, the card stops responding.   
This is easily demonstrated on a 4x9GB RAID5 array, one partition 
at /dev/sdb1, mke2fs /dev/sdb1.  SCSI timeouts will occur before the 
command completes.

PeterJ@ami.com, Asit Mallic @ Intel, and Mike Stephens @ Intel are working 
to address this issue.

Comment 1 Glen Foster 2001-01-11 21:03:17 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 Matt Domsch 2001-01-11 21:40:48 UTC
megaraid driver v1.13s seems to address the problem.  MKJ says it'll be 
included in the public beta kernel.


Comment 3 Michael K. Johnson 2001-01-12 15:05:36 UTC
The latest megaraid driver is in and should fix this.  It breaks
Azusa, so a better fix needs to be provided, which means that we
need to continue to pay attention for now.

Comment 4 Matt Domsch 2001-01-12 17:48:10 UTC
The Azuza issue was with the qla1280 driver, not the megaraid driver.
In any case, BJ released a qla1280 driver today (v3.23) that addresses it.


Comment 5 Michael K. Johnson 2001-01-12 19:39:56 UTC
Oops, cache coherency issue in my mind.  Thanks, Matt!

Anyway, 1.13s is included.  My thinko.


Note You need to log in before you can comment on or make changes to this bug.